typedef union {
        long            num;    // integer konstantos
        float           flonum; // float konstantos
        CString        *str;    // identifieriai, stringai
        TNode          *node;   // sintakses medzhio shaka
        TType          *type;   // tipas
        TSymbol        *sym;    // kintamasis
        TFunction      *func;   // funkcija
        TSymTable      *symt;   // simboliu lentele
        TArgs          *args;   // argumentai f-jai kviesti
} YYSTYPE;
#define	ERROR	258
#define	SEMICOLON	259
#define	DOT	260
#define	DDOT	261
#define	QUESTION	262
#define	COMMA	263
#define	OPEN_BRAC	264
#define	CLOSE_BRAC	265
#define	OPEN_PAR	266
#define	CLOSE_PAR	267
#define	OPEN_CS	268
#define	CLOSE_CS	269
#define	ADD	270
#define	SUB	271
#define	MUL	272
#define	DIV	273
#define	MOD	274
#define	SHL	275
#define	SHR	276
#define	AND	277
#define	OR	278
#define	XOR	279
#define	INV	280
#define	INC	281
#define	DEC	282
#define	ASSIGN	283
#define	AS_ADD	284
#define	AS_SUB	285
#define	AS_MUL	286
#define	AS_DIV	287
#define	AS_MOD	288
#define	AS_SHL	289
#define	AS_SHR	290
#define	AS_AND	291
#define	AS_OR	292
#define	AS_XOR	293
#define	B_E	294
#define	B_NE	295
#define	B_AND	296
#define	B_OR	297
#define	B_NOT	298
#define	B_L	299
#define	B_G	300
#define	B_LE	301
#define	B_GE	302
#define	BREAK	303
#define	CASE	304
#define	CONTINUE	305
#define	DEFAULT	306
#define	DELETE	307
#define	DO	308
#define	ELSE	309
#define	FOR	310
#define	GOTO	311
#define	IF	312
#define	INSTANCEOF	313
#define	NATIVE	314
#define	NEW	315
#define	RETURN	316
#define	SIZEOF	317
#define	STATIC	318
#define	SWITCH	319
#define	STRUCT	320
#define	SUPER	321
#define	THIS	322
#define	TYPEDEF	323
#define	TYPEID	324
#define	UNTIL	325
#define	WHILE	326
#define	FLOAT	327
#define	LONG	328
#define	VOID	329
#define	STRING	330
#define	STUFF	331
#define	IDENT	332
#define	STRINGVAL	333
#define	NUMBER	334
#define	FLONUMBER	335


extern YYSTYPE yylval;
