/* konfigo failai yra case-sensitive, t.y. kaip C, o ne kaip Paskalis !
 * komentarus palaiko tik atskirose (nuosavose) eilutese !
 * sekcijos vardas - tarp lauztiniu skliaustu
 * varduose - bet kas, ishshyrus: whitespace [ ] # ; = \n \r
 * komentarai: visa eilute po # arba ;
 * jei yra kintamuju priesh visas sekcijas, tai jie bet kuriai ir
   priklauso.
 * stringas - viskas po '=', nuo priekio ir galo nuemus whitespace
 * longas - dec, hex (0x????) arba oct (0???), gali buti su + arba -
 * floatas - kaip floatas, gali buti su E arba e
 */

#ifndef __ARO_CFG_H__
#define __ARO_CFG_H__

#if defined __cplusplus
extern "C"
{
#endif

// inicializuoja ish failo. jei shito nekviesi, tai pirma syki bandant
// cfgGet?(), pats nusiskaito "default.cfg"
void cfgFile(char *fileName);
// atlaisvina atminti, surasho pakeitimus
void cfgClose();

// skaitymas. perduodama ir default reiksme, jei tokio nera kartais

char *cfgGetS(char *section, char *name, char *def); // eilute
long  cfgGetL(char *section, char *name, long  def); // longa
float cfgGetF(char *section, char *name, float def); // floata
// daug tokenu ( kaip komandine eilute )
// ale vieta, i kuria rodo, yra statine, taigi kita syki kvieciant
//  cfgGetArgs bus suporolinta
char **cfgGetArgs(char *section, char *name, long *argc);

// pakeitimai konfigui. gale jie bus irashomi.

void cfgSetS(char *section, char *name, char *val); // eilute
void cfgSetL(char *section, char *name, long  val); // longas
void cfgSetF(char *section, char *name, float val); // floatas

#if defined __cplusplus
}
#endif

#endif

